[Processing] Field calculator algorithm does not use the selected layer as default layer input

2018-08-24 03:36 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Alexander Bruy

Category: Processing/Core

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27511

Description

Unlike the other algorithms that use the selected layer as active value of their drop-down input layer parameter, the Field calculator

algorithm seems to use another layer (maybe the first loaded?)

Associated revisions

Revision 95209d13 - 2019-01-22 10:04 AM - Alexander Bruy

[processing] use active layer by default in field calculator algorithm

(fix #19686)

Revision 0c4c8feb - 2019-01-22 02:25 PM - Alexander Bruy

Merge pull request #8945 from alexbruy/processing-fieldcalc

[processing] use active layer by default in field calculator algorithm (fix #19686)

Revision a2cb07ed - 2019-01-22 05:40 PM - Alexander Bruy

[processing] use active layer by default in field calculator algorithm

(fix #19686)

(cherry picked from commit 95209d134cad8cd7761e4f2246ee5ec937e90d73)

History

#1 - 2019-01-22 09:23 AM - Alexander Bruy

- Assignee set to Alexander Bruy

- Status changed from Open to In Progress

#2 - 2019-01-22 10:54 AM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/8945

#3 - 2019-01-22 02:24 PM - Alexander Bruy
- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|95209d134cad8cd7761e4f2246ee5ec937e90d73.

#4 - 2019-01-22 02:24 PM - Alexander Bruy

- Resolution set to fixed/implemented
